import org.xml.sax.AttributeList;
import org.xml.sax.HandlerBase;
import org.xml.sax.Parser;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;

/**
 * NotifyStr.java
 */
public class NotifyStr extends HandlerBase {
    static public void main(String[] argv) {
      try {

        // get class object for SAX Driver
        Class c = Class.forName(argv[0]);
        // create instance of the class
        Parser parser = (Parser)c.newInstance();
        // create document handler,
        NotifyStr notifyStr = new NotifyStr();
        // and register it
        parser.setDocumentHandler(notifyStr);

        parser.parse(argv[1]);

      } catch (Exception e) {
        e.printStackTrace();
      }
    }
    
    public NotifyStr() {
    }

    public void startDocument() throws SAXException {
      System.out.println("startDocument is called:");
    }

    public void endDocument() throws SAXException {
      System.out.println("endDocument is called:");
    }

    public void startElement(String name, AttributeList amap) throws SAXException {
      System.out.println("startElement is called: element name=" + name);
      for (int i = 0; i < amap.getLength(); i++) {     
        String attname = amap.getName(i);
        String type = amap.getType(i);     
        String value = amap.getValue(i);
        System.out.println("  attribute name="+attname+" type="+type+" value="+value);
      } 
    }

    public void endElement(String name) throws SAXException {
      System.out.println("endElement is called: " + name);
    }

    public void characters(char[] ch, int start, int length) throws SAXException {
      System.out.println("characters is called: " + new String(ch, start, length));
    }
}
